/** @jsx createElement */

/**
 * Copyright (c) 2015-present, Alibaba Group Holding Limited.
 * All rights reserved.
 *
 * @providesModule rx-Button
 */
'use strict';

import {createElement, Component, PropTypes} from 'weex-rx';
import { View } from 'nuke-components';
const isWeex = typeof callNative !== 'undefined';
const isWeb = typeof window === 'object';

class Cell extends Component {

    constructor(props) {
        super(props);
    }

    render(){

        if (isWeex) {
            return <cell append="tree" {...this.props}>{this.props.children}</cell>

        }else{
            return <View {...this.props}>{this.props.children}</View>

        }
        
    }
    
}

export default Cell;


